# ApplicationFramework
TKLCAF
TDF

# TDF_DoubleMapNodeOfAttributeDoubleMap Class Reference

`#include <TDF_DoubleMapNodeOfAttributeDoubleMap.hxx>`

## Public Member Functions

| TDF_DoubleMapNodeOfAttributeDoubleMap (const Handle(TDF_Attribute)&K1, const Handle(TDF_Attribute)&K2, const TCollection_MapNodePtr &n1, const TCollection_MapNodePtr &n2)
Handle_TDF_Attribute & | Key1 () const
Handle_TDF_Attribute & | Key2 () const
TCollection_MapNodePtr & | Next2 () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_TDF_Attribute | myKey1
Handle_TDF_Attribute | myKey2
TCollection_MapNodePtr | myNext2

## Constructor & Destructor Documentation

TDF_DoubleMapNodeOfAttributeDoubleMap::TDF_DoubleMapNodeOfAttributeDoubleMap | ( | const Handle(TDF_Attribute)& | K1,
|  | const Handle(TDF_Attribute)& | K2,
|  | const TCollection_MapNodePtr & | n1,
|  | const TCollection_MapNodePtr & | n2
| ) |

## Member Function Documentation

Standard_EXPORT const TDF_DoubleMapNodeOfAttributeDoubleMap::Handle | ( | Standard_Type |  | ) | const

Handle_TDF_Attribute& TDF_DoubleMapNodeOfAttributeDoubleMap::Key1 | ( |  | ) | const

Handle_TDF_Attribute& TDF_DoubleMapNodeOfAttributeDoubleMap::Key2 | ( |  | ) | const

TCollection_MapNodePtr& TDF_DoubleMapNodeOfAttributeDoubleMap::Next2 | ( |  | ) | const

## Field Documentation

Handle_TDF_Attribute TDF_DoubleMapNodeOfAttributeDoubleMap::myKey1 `[private]`

Handle_TDF_Attribute TDF_DoubleMapNodeOfAttributeDoubleMap::myKey2 `[private]`

TCollection_MapNodePtr TDF_DoubleMapNodeOfAttributeDoubleMap::myNext2 `[private]`

The documentation for this class was generated from the following file:

- TDF_DoubleMapNodeOfAttributeDoubleMap.hxx